/*
 * Enrolment provider
 */

import Default from './default'
import { mapGetters } from 'vuex'

export default Default.extend({
  provide() {
    let self = this
    return {
      _general_selected_country_id: function() {
        return self.$helpers.getValue(self.getEnrolmentRegion, 'id')
      },
      _member_country_id: function() {
        return self.$helpers.getValue(self.getEnrolmentRegion, 'id')
      },
      _shipping_methods_allow_save_shipping_address: function() {
        return false
      },
    }
  },
  computed: {
    ...mapGetters(['getEnrolmentRegion']),
  },
})
